package forgepb

import (
	sync "sync"

	"go.wit.com/lib/protobuf/gitpb"
	"go.wit.com/lib/protobuf/zoopb"
)

// maybe an interface someday?
type Forge struct {
	// one-time initialized data
	initOnce sync.Once
	initErr  error // init error, if any

	goSrc   string        // the path to go/src
	Config  *ForgeConfigs // config repos for readonly, private, etc
	Repos   *gitpb.Repos
	Machine *zoopb.Machine
}

func (f *Forge) GetGoSrc() string {
	return f.goSrc
}
